json
{
"SKU": "eSim",
"Description": "Telegent eSim",
"Type": "esim",
"SubType": "esim",
"Cost": 12.34,
"BillingFrequency": "MRC"
}curl -X POST https://api.telegent.com/v1.0/products \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"SKU": "eSim",
"Description": "Telegent eSim",
"Type": "esim"
}'import requests
url = "https://api.telegent.com/v1.0/products"
payload = {
"SKU": "eSim",
"Description": "Telegent eSim",
"Type": "esim",
"Cost": 12.34,
"BillingFrequency": "MRC",
"SubType": "esim"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
SKU: 'eSim',
Description: 'Telegent eSim',
Type: 'esim',
Cost: 12.34,
BillingFrequency: 'MRC',
SubType: 'esim'
})
};
fetch('https://api.telegent.com/v1.0/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ProductId": "PRID-4384E69B-3194-9943-F839-20E477C8E399",
"SKU": "VAS035",
"Description": "Fraud Detection + Blocking",
"AggregatorId": "AGID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"DistributorId": null,
"Type": "VAS",
"SubType": "AI Operator",
"Cost": 1,
"BillingFrequency": "MRC",
"Active": true
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Products
Create Product
Create a new product with SKU, description, type, cost, and billing frequency. Products can be bundled into packages for subscriber offerings.
What this does: Returns the new product’s ProductId (PRID-) and full record. Once created, add it to packages using the package items endpoints.
Next steps:
- Add the product to a package —
POST /v1.0/packages/items/add - Create a service —
POST /v1.0/services
POST
/
v1.0
/
products
json
{
"SKU": "eSim",
"Description": "Telegent eSim",
"Type": "esim",
"SubType": "esim",
"Cost": 12.34,
"BillingFrequency": "MRC"
}curl -X POST https://api.telegent.com/v1.0/products \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"SKU": "eSim",
"Description": "Telegent eSim",
"Type": "esim"
}'import requests
url = "https://api.telegent.com/v1.0/products"
payload = {
"SKU": "eSim",
"Description": "Telegent eSim",
"Type": "esim",
"Cost": 12.34,
"BillingFrequency": "MRC",
"SubType": "esim"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
SKU: 'eSim',
Description: 'Telegent eSim',
Type: 'esim',
Cost: 12.34,
BillingFrequency: 'MRC',
SubType: 'esim'
})
};
fetch('https://api.telegent.com/v1.0/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ProductId": "PRID-4384E69B-3194-9943-F839-20E477C8E399",
"SKU": "VAS035",
"Description": "Fraud Detection + Blocking",
"AggregatorId": "AGID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"DistributorId": null,
"Type": "VAS",
"SubType": "AI Operator",
"Cost": 1,
"BillingFrequency": "MRC",
"Active": true
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Body
application/json
Product SKU
Example:
"eSim"
Product description
Example:
"Telegent eSim"
Product type (e.g., esim, vas)
Example:
"esim"
Product cost
Example:
12.34
Billing frequency (MRC=Monthly, NRC=Non-recurring)
Available options:
MRC, NRC Example:
"MRC"
Product sub-type
Example:
"esim"
Response
Create Product
The response is of type object.
⌘I